QScintilla: QextScintilla Class Reference

- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# QextScintilla Class Reference

The QextScintilla class implements a higher level, more Qt-like, API to the Scintilla editor widget. More...

`#include <qextscintilla.h>`

Inherits QextScintillaBase.

List of all members.

## Public Types

- AiMaintain = 0x01
- AiOpening = 0x02
- AiClosing = 0x04
- AcsDocument
- AcsAPIs
- AcsAll
- NoBraceMatch
- StrictBraceMatch
- SloppyBraceMatch
- EdgeNone = EDGE_NONE
- EdgeLine = EDGE_LINE
- EdgeBackground = EDGE_BACKGROUND
- EolWindows = SC_EOL_CRLF
- EolUnix = SC_EOL_LF
- EolMac = SC_EOL_CR
- NoFoldStyle
- PlainFoldStyle
- CircledFoldStyle
- BoxedFoldStyle
- CircledTreeFoldStyle
- BoxedTreeFoldStyle
- Circle = SC_MARK_CIRCLE
- Rectangle = SC_MARK_ROUNDRECT
- RightTriangle = SC_MARK_ARROW
- SmallRectangle = SC_MARK_SMALLRECT
- RightArrow = SC_MARK_SHORTARROW
- Invisible = SC_MARK_EMPTY
- DownTriangle = SC_MARK_ARROWDOWN
- Minus = SC_MARK_MINUS
- Plus = SC_MARK_PLUS
- VerticalLine = SC_MARK_VLINE
- BottomLeftCorner = SC_MARK_LCORNER
- LeftSideSplitter = SC_MARK_TCORNER
- BoxedPlus = SC_MARK_BOXPLUS
- BoxedPlusConnected = SC_MARK_BOXPLUSCONNECTED
- BoxedMinus = SC_MARK_BOXMINUS
- BoxedMinusConnected = SC_MARK_BOXMINUSCONNECTED
- RoundedBottomLeftCorner = SC_MARK_LCORNERCURVE
- LeftSideRoundedSplitter = SC_MARK_TCORNERCURVE
- CircledPlus = SC_MARK_CIRCLEPLUS
- CircledPlusConnected = SC_MARK_CIRCLEPLUSCONNECTED
- CircledMinus = SC_MARK_CIRCLEMINUS
- CircledMinusConnected = SC_MARK_CIRCLEMINUSCONNECTED
- Background = SC_MARK_BACKGROUND
- ThreeDots = SC_MARK_DOTDOTDOT
- ThreeRightArrows = SC_MARK_ARROWS
- WsInvisible = SCWS_INVISIBLE
- WsVisible = SCWS_VISIBLEALWAYS
- WsVisibleAfterIndent = SCWS_VISIBLEAFTERINDENT
- WrapNone = SC_WRAP_NONE
- WrapWord = SC_WRAP_WORD
- WrapCharacter = SC_WRAP_CHAR
- WrapFlagNone
- WrapFlagByText
- WrapFlagByBorder
- enum { AiMaintain = 0x01, AiOpening = 0x02, AiClosing = 0x04 }
- enum AutoCompletionSource { AcsDocument, AcsAPIs, AcsAll }
- enum BraceMatch { NoBraceMatch, StrictBraceMatch, SloppyBraceMatch }
- enum EdgeMode { EdgeNone = EDGE_NONE, EdgeLine = EDGE_LINE, EdgeBackground = EDGE_BACKGROUND }
- enum EolMode { EolWindows = SC_EOL_CRLF, EolUnix = SC_EOL_LF, EolMac = SC_EOL_CR }
- enum FoldStyle {
  NoFoldStyle, PlainFoldStyle, CircledFoldStyle,
  BoxedFoldStyle, CircledTreeFoldStyle, BoxedTreeFoldStyle
  }
- enum MarkerSymbol {
  Circle = SC_MARK_CIRCLE, Rectangle = SC_MARK_ROUNDRECT, RightTriangle = SC_MARK_ARROW,
  SmallRectangle = SC_MARK_SMALLRECT, RightArrow = SC_MARK_SHORTARROW, Invisible = SC_MARK_EMPTY,
  DownTriangle = SC_MARK_ARROWDOWN, Minus = SC_MARK_MINUS, Plus = SC_MARK_PLUS,
  VerticalLine = SC_MARK_VLINE, BottomLeftCorner = SC_MARK_LCORNER, LeftSideSplitter = SC_MARK_TCORNER,
  BoxedPlus = SC_MARK_BOXPLUS, BoxedPlusConnected = SC_MARK_BOXPLUSCONNECTED, BoxedMinus = SC_MARK_BOXMINUS,
  BoxedMinusConnected = SC_MARK_BOXMINUSCONNECTED, RoundedBottomLeftCorner = SC_MARK_LCORNERCURVE, LeftSideRoundedSplitter = SC_MARK_TCORNERCURVE,
  CircledPlus = SC_MARK_CIRCLEPLUS, CircledPlusConnected = SC_MARK_CIRCLEPLUSCONNECTED, CircledMinus = SC_MARK_CIRCLEMINUS,
  CircledMinusConnected = SC_MARK_CIRCLEMINUSCONNECTED, Background = SC_MARK_BACKGROUND, ThreeDots = SC_MARK_DOTDOTDOT,
  ThreeRightArrows = SC_MARK_ARROWS
  }
- enum WhitespaceVisibility { WsInvisible = SCWS_INVISIBLE, WsVisible = SCWS_VISIBLEALWAYS, WsVisibleAfterIndent = SCWS_VISIBLEAFTERINDENT }
- enum WrapMode { WrapNone = SC_WRAP_NONE, WrapWord = SC_WRAP_WORD, WrapCharacter = SC_WRAP_CHAR }
- enum WrapVisualFlag { WrapFlagNone, WrapFlagByText, WrapFlagByBorder }

## Public Slots

- virtual void append (const QString &text)
- virtual void autoCompleteFromAll ()
- virtual void autoCompleteFromAPIs ()
- virtual void autoCompleteFromDocument ()
- virtual void callTip ()
- virtual void clear ()
- virtual void copy ()
- virtual void cut ()
- virtual void ensureCursorVisible ()
- virtual void ensureLineVisible (int line)
- virtual void foldAll (bool children=FALSE)
- virtual void foldLine (int line)
- virtual void indent (int line)
- virtual void insert (const QString &text)
- virtual void insertAt (const QString &text, int line, int index)
- virtual void moveToMatchingBrace ()
- virtual void paste ()
- virtual void redo ()
- virtual void removeSelectedText ()
- virtual void resetSelectionBackgroundColor ()
- virtual void resetSelectionForegroundColor ()
- virtual void selectAll (bool select=TRUE)
- virtual void selectToMatchingBrace ()
- virtual void setAutoCompletionCaseSensitivity (bool cs)
- virtual void setAutoCompletionReplaceWord (bool replace)
- virtual void setAutoCompletionShowSingle (bool single)
- virtual void setAutoCompletionSource (AutoCompletionSource source)
- virtual void setAutoCompletionThreshold (int thresh)
- virtual void setAutoIndent (bool autoindent)
- virtual void setBraceMatching (BraceMatch bm)
- virtual void setBackspaceUnindents (bool unindent)
- virtual void setCaretForegroundColor (const QColor &col)
- virtual void setCaretLineBackgroundColor (const QColor &col)
- virtual void setCaretLineVisible (bool enable)
- virtual void setCaretWidth (int width)
- virtual void setColor (const QColor &c)
- virtual void setCursorPosition (int line, int index)
- virtual void setEolMode (EolMode mode)
- virtual void setEolVisibility (bool visible)
- virtual void setFolding (FoldStyle fold)
- virtual void setIndentation (int line, int indentation)
- virtual void setIndentationGuides (bool enable)
- virtual void setIndentationGuidesBackgroundColor (const QColor &col)
- virtual void setIndentationGuidesForegroundColor (const QColor &col)
- virtual void setIndentationsUseTabs (bool tabs)
- virtual void setIndentationWidth (int width)
- virtual void setLexer (QextScintillaLexer *lexer=0)
- virtual void setMarginsBackgroundColor (const QColor &col)
- virtual void setMarginsFont (const QFont &f)
- virtual void setMarginsForegroundColor (const QColor &col)
- virtual void setMarginLineNumbers (int margin, bool lnrs)
- virtual void setMarginMarkerMask (int margin, int mask)
- virtual void setMarginSensitivity (int margin, bool sens)
- virtual void setMarginWidth (int margin, int width)
- virtual void setMarginWidth (int margin, const QString &s)
- virtual void setModified (bool m)
- virtual void setPaper (const QColor &c)
- virtual void setReadOnly (bool ro)
- virtual void setSelection (int lineFrom, int indexFrom, int lineTo, int indexTo)
- virtual void setSelectionBackgroundColor (const QColor &col)
- virtual void setSelectionForegroundColor (const QColor &col)
- virtual void setTabIndents (bool indent)
- virtual void setTabWidth (int width)
- virtual void setText (const QString &text)
- virtual void setUtf8 (bool cp)
- virtual void setWhitespaceVisibility (WhitespaceVisibility mode)
- virtual void setWrapMode (WrapMode mode)
- virtual void undo ()
- virtual void unindent (int line)
- virtual void zoomIn (int range)
- virtual void zoomIn ()
- virtual void zoomOut (int range)
- virtual void zoomOut ()
- virtual void zoomTo (int size)

## Signals

- void cursorPositionChanged (int line, int pos)
- void copyAvailable (bool yes)
- void marginClicked (int margin, int line, Qt::ButtonState state)
- void modificationAttempted ()
- void modificationChanged (bool m)
- void selectionChanged ()
- void textChanged ()
- void userListActivated (int id, const QString &string)

## Public Member Functions

- QextScintilla (QWidget *parent=0, const char *name=0, WFlags f=0)
- virtual ~QextScintilla ()
- bool autoCompletionCaseSensitivity ()
- bool autoCompletionFillupsEnabled ()
- bool autoCompletionReplaceWord ()
- bool autoCompletionShowSingle ()
- AutoCompletionSource autoCompletionSource () const
- int autoCompletionThreshold () const
- bool autoIndent () const
- bool backspaceUnindents ()
- void beginUndoAction ()
- BraceMatch braceMatching () const
- int callTipsVisible () const
- void cancelList ()
- void clearRegisteredImages ()
- void convertEols (EolMode mode)
- QColor color () const
- QextScintillaDocument document ()
- void endUndoAction ()
- QColor edgeColor ()
- int edgeColumn ()
- EdgeMode edgeMode ()
- EolMode eolMode ()
- bool eolVisibility ()
- virtual bool findFirst (const QString &expr, bool re, bool cs, bool wo, bool wrap, bool forward=TRUE, int line=-1, int index=-1, bool show=TRUE)
- virtual bool findNext ()
- int firstVisibleLine ()
- FoldStyle folding () const
- void getCursorPosition (int *line, int *index)
- void getSelection (int *lineFrom, int *indexFrom, int *lineTo, int *indexTo)
- bool hasSelectedText () const
- int indentation (int line)
- bool indentationGuides ()
- bool indentationsUseTabs ()
- int indentationWidth ()
- bool isCallTipActive ()
- bool isListActive ()
- bool isModified ()
- bool isReadOnly ()
- bool isRedoAvailable ()
- bool isUndoAvailable ()
- bool isUtf8 ()
- int lineAt (const QPoint &pos)
- int lineLength (int line)
- int lines ()
- int length ()
- QextScintillaLexer * lexer () const
- bool marginLineNumbers (int margin)
- int marginMarkerMask (int margin)
- bool marginSensitivity (int margin)
- int marginWidth (int margin)
- int markerDefine (MarkerSymbol sym, int mnr=-1)
- int markerDefine (char ch, int mnr=-1)
- int markerDefine (const QPixmap *pm, int mnr=-1)
- int markerAdd (int linenr, int mnr)
- unsigned markersAtLine (int linenr)
- void markerDelete (int linenr, int mnr=-1)
- void markerDeleteAll (int mnr=-1)
- void markerDeleteHandle (int mhandle)
- int markerLine (int mhandle)
- int markerFindNext (int linenr, unsigned mask)
- int markerFindPrevious (int linenr, unsigned mask)
- QColor paper () const
- virtual void recolor (int start=0, int end=-1)
- void registerImage (int id, const QPixmap *pm)
- virtual void replace (const QString &replaceStr)
- void resetFoldMarginColors ()
- void setFoldMarginColors (const QColor &fore, const QColor &back)
- void setAutoCompletionAPIs (QextScintillaAPIs *apis=0)
- void setAutoCompletionFillups (const char *fillups)
- void setAutoCompletionFillupsEnabled (bool enabled)
- void setAutoCompletionStartCharacters (const char *start)
- void setCallTipsAPIs (QextScintillaAPIs *apis=0)
- void setCallTipsBackgroundColor (const QColor &col)
- void setCallTipsForegroundColor (const QColor &col)
- void setCallTipsHighlightColor (const QColor &col)
- void setCallTipsVisible (int nr)
- void setDocument (const QextScintillaDocument &document)
- void setEdgeColor (const QColor &col)
- void setEdgeColumn (int colnr)
- void setEdgeMode (EdgeMode mode)
- virtual void setFont (const QFont &f)
- void setMarkerBackgroundColor (const QColor &col, int mnr=-1)
- void setMarkerForegroundColor (const QColor &col, int mnr=-1)
- void setMatchedBraceBackgroundColor (const QColor &col)
- void setMatchedBraceForegroundColor (const QColor &col)
- void setUnmatchedBraceBackgroundColor (const QColor &col)
- void setUnmatchedBraceForegroundColor (const QColor &col)
- void setWrapVisualFlags (WrapVisualFlag eflag, WrapVisualFlag sflag=WrapFlagNone, int sindent=0)
- QString selectedText ()
- void showUserList (int id, const QStringList &list)
- QextScintillaCommandSet * standardCommands () const
- bool tabIndents ()
- int tabWidth ()
- QString text ()
- QString text (int line)
- int textHeight (int linenr)
- WhitespaceVisibility whitespaceVisibility ()
- WrapMode wrapMode ()

## Classes

- struct FindState

## Detailed Description

The QextScintilla class implements a higher level, more Qt-like, API to the Scintilla editor widget.

QextScintilla implements methods, signals and slots similar to those found in other Qt editor classes. It also provides a higher level interface to features specific to Scintilla such as syntax styling, call tips, auto-indenting and auto-completion than that provided by QextScintillaBase.

The API is modelled on QTextEdit - a method of the same name should behave in the same way.

## Member Enumeration Documentation

anonymous enum

This enum defines the different auto-indentation styles.

Enumerator:

  AiMaintain | A line is automatically indented to match the previous line.
  AiOpening | If the language supported by the current lexer has a specific start of block character (e.g. { in C++), then a line that begins with that character is indented as well as the lines that make up the block. It may be logically ored with AiClosing.
  AiClosing | If the language supported by the current lexer has a specific end of block character (e.g. } in C++), then a line that begins with that character is indented as well as the lines that make up the block. It may be logically ored with AiOpening.

enum QextScintilla::AutoCompletionSource

This enum defines the different sources for auto-completion lists.

Enumerator:

  AcsDocument | The source is the current document.
  AcsAPIs | The source is any installed APIs.
  AcsAll | The source is all available sources.

enum QextScintilla::BraceMatch

This enum defines the different brace matching modes. The character pairs {}, [] and () are treated as braces. The Python lexer will also match a : with the end of the corresponding indented block.

Enumerator:

  NoBraceMatch | Brace matching is disabled.
  StrictBraceMatch | Brace matching is enabled for a brace immediately before the current position.
  SloppyBraceMatch | Brace matching is enabled for a brace immediately before or after the current position.

enum QextScintilla::EdgeMode

This enum defines the different edge modes for long lines.

Enumerator:

  EdgeNone | Long lines are not marked.
  EdgeLine | A vertical line is drawn at the column set by setEdgeColumn(). This is recommended for monospace fonts.
  EdgeBackground | The background color of characters after the column limit is changed to the color set by setEdgeColor(). This is recommended for proportional fonts.

enum QextScintilla::EolMode

This enum defines the different end-of-line modes.

Enumerator:

  EolWindows | A carriage return/line feed as used on Windows systems.
  EolUnix | A line feed as used on Unix systems.
  EolMac | A carriage return as used on Mac systems.

enum QextScintilla::FoldStyle

This enum defines the different styles for the folding margin.

Enumerator:

  NoFoldStyle | Folding is disabled.
  PlainFoldStyle | Plain folding style using plus and minus symbols.
  CircledFoldStyle | Circled folding style using circled plus and minus symbols.
  BoxedFoldStyle | Boxed folding style using boxed plus and minus symbols.
  CircledTreeFoldStyle | Circled tree style using a flattened tree with circled plus and minus symbols and rounded corners.
  BoxedTreeFoldStyle | Boxed tree style using a flattened tree with boxed plus and minus symbols and right-angled corners.

enum QextScintilla::MarkerSymbol

This enum defines the different pre-defined marker symbols.

Enumerator:

  Circle | A circle.
  Rectangle | A rectangle.
  RightTriangle | A triangle pointing to the right.
  SmallRectangle | A smaller rectangle.
  RightArrow | An arrow pointing to the right.
  Invisible | An invisible marker that allows code to track the movement of lines.
  DownTriangle | A triangle pointing down.
  Minus | A drawn minus sign.
  Plus | A drawn plus sign.
  VerticalLine | A vertical line drawn in the background colour.
  BottomLeftCorner | A bottom left corner drawn in the background colour.
  LeftSideSplitter | A vertical line with a centre right horizontal line drawn in the background colour.
  BoxedPlus | A drawn plus sign in a box.
  BoxedPlusConnected | A drawn plus sign in a connected box.
  BoxedMinus | A drawn minus sign in a box.
  BoxedMinusConnected | A drawn minus sign in a connected box.
  RoundedBottomLeftCorner | A rounded bottom left corner drawn in the background colour.
  LeftSideRoundedSplitter | A vertical line with a centre right curved line drawn in the background colour.
  CircledPlus | A drawn plus sign in a circle.
  CircledPlusConnected | A drawn plus sign in a connected box.
  CircledMinus | A drawn minus sign in a circle.
  CircledMinusConnected | A drawn minus sign in a connected circle.
  Background | No symbol is drawn but the line of text is drawn with the same background colour.
  ThreeDots | Three drawn dots.
  ThreeRightArrows | Three drawn arrows pointing right.

enum QextScintilla::WhitespaceVisibility

This enum defines the different whitespace visibility modes. When whitespace is visible spaces are displayed as small centred dots and tabs are displayed as light arrows pointing to the right.

Enumerator:

  WsInvisible | Whitespace is invisible.
  WsVisible | Whitespace is always visible.
  WsVisibleAfterIndent | Whitespace is visible after the whitespace used for indentation.

enum QextScintilla::WrapMode

This enum defines the different line wrap modes.

Enumerator:

  WrapNone | Lines are not wrapped.
  WrapWord | Lines are wrapped at word boundaries.
  WrapCharacter | Lines are wrapped at character boundaries.

enum QextScintilla::WrapVisualFlag

This enum defines the different line wrap visual flags.

Enumerator:

  WrapFlagNone | No wrap flag is displayed.
  WrapFlagByText | A wrap flag is displayed by the text.
  WrapFlagByBorder | A wrap flag is displayed by the border.

## Constructor & Destructor Documentation

QextScintilla::QextScintilla | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | WFlags | f = `0` |
| ) |  |  |

Construct an empty QextScintilla with parent parent, name name, and widget flags f.

virtual QextScintilla::~QextScintilla | ( |  | ) | `[virtual]`

Destroys the QextScintilla instance.

## Member Function Documentation

bool QextScintilla::autoCompletionCaseSensitivity | ( |  | ) |

Returns TRUE if auto-completion lists are case sensitive.

See also:
  setAutoCompletionCaseSensitivity()

bool QextScintilla::autoCompletionFillupsEnabled | ( |  | ) |

Returns true if auto-completion fill-up characters are enabled.

See also:
  setAutoCompletionFillups(), setAutoCompletionFillupsEnabled()

bool QextScintilla::autoCompletionReplaceWord | ( |  | ) |

Returns TRUE if the rest of the word to the right of the current cursor is removed when an item from an auto-completion list is selected.

See also:
  setAutoCompletionReplaceWord()

bool QextScintilla::autoCompletionShowSingle | ( |  | ) |

Returns TRUE if the only item in an auto-completion list with a single entry is automatically used and the list not displayed.

See also:
  setAutoCompletionShowSingle()

AutoCompletionSource QextScintilla::autoCompletionSource | ( |  | ) | const`[inline]`

Returns the current source for the auto-completion list when it is being displayed automatically as the user types.

See also:
  setAutoCompletionSource()

int QextScintilla::autoCompletionThreshold | ( |  | ) | const`[inline]`

Returns the current threshold for the automatic display of the auto-completion list as the user types.

See also:
  setAutoCompletionThreshold()

bool QextScintilla::autoIndent | ( |  | ) | const`[inline]`

Returns TRUE if auto-indentation is enabled.

See also:
  setAutoIndent()

bool QextScintilla::backspaceUnindents | ( |  | ) |

Returns TRUE if the backspace key unindents a line instead of deleting a character. The default is FALSE.

See also:
  setBackspaceUnindents(), tabIndents(), setTabIndents()

void QextScintilla::beginUndoAction | ( |  | ) |

Mark the beginning of a sequence of actions that can be undone by a single call to undo().

See also:
  endUndoAction(), undo()

BraceMatch QextScintilla::braceMatching | ( |  | ) | const`[inline]`

Returns the brace matching mode.

See also:
  setBraceMatching()

int QextScintilla::callTipsVisible | ( |  | ) | const`[inline]`

Returns the maximum number of call tips that are displayed.

See also:
  setCallTipsVisible()

void QextScintilla::cancelList | ( |  | ) |

Cancel any current auto-completion or user defined list.

void QextScintilla::clearRegisteredImages | ( |  | ) |

Clear all registered images.

See also:
  registerImage()

void QextScintilla::convertEols | ( | EolMode | mode | ) |

All the lines of the text have their end-of-lines converted to mode mode.

See also:
  eolMode(), setEolMode()

QColor QextScintilla::color | ( |  | ) | const

Returns the widget's text (ie. foreground) colour.

See also:
  setColor()

QextScintillaDocument QextScintilla::document | ( |  | ) | `[inline]`

Returns the attached document.

See also:
  setDocument()

void QextScintilla::endUndoAction | ( |  | ) |

Mark the end of a sequence of actions that can be undone by a single call to undo().

See also:
  beginUndoAction(), undo()

QColor QextScintilla::edgeColor | ( |  | ) |

Returns the color of the marker used to show that a line has exceeded the length set by setEdgeColumn().

See also:
  setEdgeColor(),

  setEdgeColumn

int QextScintilla::edgeColumn | ( |  | ) |

Returns the number of the column after which lines are considered to be long.

See also:
  setEdgeColumn()

EdgeMode QextScintilla::edgeMode | ( |  | ) |

Returns the edge mode which determines how long lines are marked.

See also:
  setEdgeMode()

EolMode QextScintilla::eolMode | ( |  | ) |

Returns the end-of-line mode.

See also:
  setEolMode()

bool QextScintilla::eolVisibility | ( |  | ) |

Returns the visibility of end-of-lines.

See also:
  setEolVisibility()

virtual bool QextScintilla::findFirst | ( | const QString & | expr,
|  | bool | re,
|  | bool | cs,
|  | bool | wo,
|  | bool | wrap,
|  | bool | forward = `TRUE`,
|  | int | line = `-1`,
|  | int | index = `-1`,
|  | bool | show = `TRUE` |
| ) |  |  | `[virtual]`

Find the next occurrence of the string expr and return TRUE if expr was found, otherwise returns FALSE. If expr is found it becomes the current selection.

If re is TRUE then expr is interpreted as a regular expression rather than a simple string.

If cs is TRUE then the search is case sensitive.

If wo is TRUE then the search looks for whole word matches only, otherwise it searches for any matching text.

If wrap is TRUE then the search wraps around the end of the text.

If forward is TRUE (the default) then the search is forward from the starting position to the end of the text, otherwise it is backwards to the beginning of the text.

If either line or index are negative (the default) then the search begins from the current cursor position. Otherwise the search begins at position index of line line.

If show is TRUE (the default) then any text found is made visible (ie. it is unfolded).

See also:
  findNext(), replace()

virtual bool QextScintilla::findNext | ( |  | ) | `[virtual]`

Find the next occurence of the string found using findFirst().

See also:
  findFirst(), replace()

int QextScintilla::firstVisibleLine | ( |  | ) |

Returns the number of the first visible line.

FoldStyle QextScintilla::folding | ( |  | ) | const`[inline]`

Returns the current folding style.

See also:
  setFolding()

void QextScintilla::getCursorPosition | ( | int * | line,
|  | int * | index |
| ) |  |  |

Sets *line and *index to the line and index of the cursor.

See also:
  setCursorPosition()

void QextScintilla::getSelection | ( | int * | lineFrom,
|  | int * | indexFrom,
|  | int * | lineTo,
|  | int * | indexTo |
| ) |  |  |

If there is a selection, *lineFrom is set to the line number in which the selection begins and *lineTo is set to the line number in which the selection ends. (They could be the same.) *indexFrom is set to the index at which the selection begins within *lineFrom, and *indexTo is set to the index at which the selection ends within *lineTo. If there is no selection, *lineFrom, *indexFrom, *lineTo and *indexTo are all set to -1.

See also:
  setSelection()

bool QextScintilla::hasSelectedText | ( |  | ) | const`[inline]`

Returns TRUE if some text is selected.

See also:
  selectedText()

int QextScintilla::indentation | ( | int | line | ) |

Returns the number of characters that line line is indented by.

See also:
  setIndentation()

bool QextScintilla::indentationGuides | ( |  | ) |

Returns TRUE if the display of indentation guides is enabled.

See also:
  setIndentationGuides()

bool QextScintilla::indentationsUseTabs | ( |  | ) |

Returns TRUE if indentations are created using tabs and spaces, rather than just spaces. The default is TRUE.

See also:
  setIndentationsUseTabs()

int QextScintilla::indentationWidth | ( |  | ) |

Returns the indentation width in characters. The default is 0 which means that the value returned by tabWidth() is actually used.

See also:
  setIndentationWidth(), tabWidth()

bool QextScintilla::isCallTipActive | ( |  | ) |

Returns TRUE if a call tip is currently active.

bool QextScintilla::isListActive | ( |  | ) |

Returns TRUE if an auto-completion or user defined list is currently active.

bool QextScintilla::isModified | ( |  | ) |

Returns TRUE if the text has been modified.

See also:
  setModified(), modificationChanged()

bool QextScintilla::isReadOnly | ( |  | ) |

Returns TRUE if the text edit is read-only.

See also:
  setReadOnly()

bool QextScintilla::isRedoAvailable | ( |  | ) |

Returns TRUE if there is something that can be redone.

See also:
  redo()

bool QextScintilla::isUndoAvailable | ( |  | ) |

Returns TRUE if there is something that can be undone.

See also:
  undo()

bool QextScintilla::isUtf8 | ( |  | ) |

Returns TRUE if text is interpreted as being UTF8 encoded. The default is to interpret the text as Latin1 encoded.

See also:
  setUtf8()

int QextScintilla::lineAt | ( | const QPoint & | pos | ) |

Returns the line which is at position pos or -1 if there is no line at that position.

int QextScintilla::lineLength | ( | int | line | ) |

Returns the length of line line or -1 if there is no such line.

int QextScintilla::lines | ( |  | ) |

Returns the number of lines of text.

int QextScintilla::length | ( |  | ) |

Returns the length of the text edit's text.

QextScintillaLexer* QextScintilla::lexer | ( |  | ) | const

Returns the current language lexer used to style text. If it is 0 then syntax styling is disabled.

See also:
  setLexer()

bool QextScintilla::marginLineNumbers | ( | int | margin | ) |

Returns TRUE if line numbers are enabled for margin margin.

See also:
  setMarginLineNumbers(), QextScintillaBase::SCI_GETMARGINTYPEN

int QextScintilla::marginMarkerMask | ( | int | margin | ) |

Returns the marker mask of margin margin.

See also:
  setMarginMask(), QextScintillaMarker, QextScintillaBase::SCI_GETMARGINMASKN

bool QextScintilla::marginSensitivity | ( | int | margin | ) |

Returns TRUE if margin margin is sensitive to mouse clicks.

See also:
  setMarginSensitivity(), marginClicked(), QextScintillaBase::SCI_GETMARGINTYPEN

int QextScintilla::marginWidth | ( | int | margin | ) |

Returns the width in pixels of margin margin.

See also:
  setMarginWidth(), QextScintillaBase::SCI_GETMARGINWIDTHN

int QextScintilla::markerDefine | ( | MarkerSymbol | sym,
|  | int | mnr = `-1` |
| ) |  |  |

Define a marker using the symbol sym with the marker number mnr. If mnr is -1 then the marker number is automatically allocated. The marker number is returned or -1 if the marker number was already allocated or too many markers have been defined.

Markers are small geometric symbols and character used, for example, to indicate the current line or, in debuggers, to indicate breakpoints. If a margin has a width of 0 then its markers are not drawn, but their background colours affect the background colour of the corresponding line of text.

There may be up to 32 markers defined and each line of text has a set of these markers associated with it. Markers are drawn according to their numerical identifier. Markers try to move with their text by tracking where the start of their line moves to. For example, when a line is deleted its markers are added to previous line's markers.

Each marker is identified by a marker number. Each instance of a marker is identified by a marker handle.

int QextScintilla::markerDefine | ( | char | ch,
|  | int | mnr = `-1` |
| ) |  |  |

Define a marker using the character ch with the marker number mnr. If mnr is -1 then the marker number is automatically allocated. The marker number is returned or -1 if the marker number was already allocated or too many markers have been defined.

int QextScintilla::markerDefine | ( | const QPixmap * | pm,
|  | int | mnr = `-1` |
| ) |  |  |

Define a marker using a copy of the pixmap pm with the marker number mnr. If mnr is -1 then the marker number is automatically allocated. The marker number is returned or -1 if the marker number was already allocated or too many markers have been defined.

int QextScintilla::markerAdd | ( | int | linenr,
|  | int | mnr |
| ) |  |  |

Add a marker number mnr to line number linenr. A handle for the marker is returned which can be used to track the marker's position, or -1 if the mnr was invalid.

See also:
  markerDelete(), markerDeleteAll(), markerDeleteHandle()

unsigned QextScintilla::markersAtLine | ( | int | linenr | ) |

Returns the 32 bit mask of marker numbers at line number linenr.

See also:
  markerAdd()

void QextScintilla::markerDelete | ( | int | linenr,
|  | int | mnr = `-1` |
| ) |  |  |

Delete all markers with the marker number mnr in the line linenr. If mnr is -1 then delete all markers from line linenr.

See also:
  markerAdd(), markerDeleteAll(), markerDeleteHandle()

void QextScintilla::markerDeleteAll | ( | int | mnr = `-1` | ) |

Delete the all markers with the marker number mnr. If mnr is -1 then delete all markers.

See also:
  markerAdd(), markerDelete(), markerDeleteHandle()

void QextScintilla::markerDeleteHandle | ( | int | mhandle | ) |

Delete the the marker instance with the marker handle mhandle.

See also:
  markerAdd(), markerDelete(), markerDeleteAll()

int QextScintilla::markerLine | ( | int | mhandle | ) |

Return the line number that contains the marker instance with the marker handle mhandle.

int QextScintilla::markerFindNext | ( | int | linenr,
|  | unsigned | mask |
| ) |  |  |

Return the number of the next line to contain at least one marker from a 32 bit mask of markers. linenr is the line number to start the search from. mask is the mask of markers to search for.

See also:
  markerFindPrevious()

int QextScintilla::markerFindPrevious | ( | int | linenr,
|  | unsigned | mask |
| ) |  |  |

Return the number of the previous line to contain at least one marker from a 32 bit mask of markers. linenr is the line number to start the search from. mask is the mask of markers to search for.

See also:
  markerFindNext()

QColor QextScintilla::paper | ( |  | ) | const

Returns the widget's paper (ie. background) colour.

See also:
  setPaper()

virtual void QextScintilla::recolor | ( | int | start = `0`,
|  | int | end = `-1` |
| ) |  |  | `[virtual]`

Recolours the document between the start and end positions. start defaults to the start of the document and end defaults to the end of the document.

void QextScintilla::registerImage | ( | int | id,
|  | const QPixmap * | pm |
| ) |  |  |

Register an image pm with ID id. Registered images can be displayed in auto-completion lists.

See also:
  clearRegisteredImages(), QextScintillaAPIs

virtual void QextScintilla::replace | ( | const QString & | replaceStr | ) | `[virtual]`

Replace the current selection, set by a previous call to findFirst() or findNext(), with replaceStr.

See also:
  findFirst(), findNext()

void QextScintilla::resetFoldMarginColors | ( |  | ) |

Reset the fold margin colours to their defaults.

See also:
  setFoldMarginColors()

void QextScintilla::setFoldMarginColors | ( | const QColor & | fore,
|  | const QColor & | back |
| ) |  |  |

The fold margin may be drawn as a one pixel sized checkerboard pattern of two colours, fore and back.

See also:
  resetFoldMarginColors()

void QextScintilla::setAutoCompletionAPIs | ( | QextScintillaAPIs * | apis = `0` | ) |

Sets the APIs used for auto-completion to apis. If apis is 0 then any existing APIs are removed.

See also:
  autoCompleteFromAPIs(), setCallTipsAPIs()

void QextScintilla::setAutoCompletionFillups | ( | const char * | fillups | ) |

set its own. Explicitly setting the fill-up characters using this method automatically enables their use.

See also:
  autoCompletionFillupsEnabled(), setAutoCompletionFillupsEnabled()

void QextScintilla::setAutoCompletionFillupsEnabled | ( | bool | enabled | ) |

Enable the use of fill-up characters, either those explicitly set or those set by a lexer. By default, fill-up characters are disabled.

See also:
  autoCompletionFillupsEnabled(), setAutoCompletionFillups()

void QextScintilla::setAutoCompletionStartCharacters | ( | const char * | start | ) |

A start character is one that, when entered, causes the auto-completion list to be displayed. If a language lexer has been set then this is ignored and the lexer defines the start characters. The default is that no start characters are set.

See also:
  setAutoCompletionThreshold()

void QextScintilla::setCallTipsAPIs | ( | QextScintillaAPIs * | apis = `0` | ) |

Sets the APIs used for call tips to apis. If apis is 0 then then call tips are disabled.

See also:
  setAutoCompletionAPIs()

void QextScintilla::setCallTipsBackgroundColor | ( | const QColor & | col | ) |

Set the background colour of call tips to col. The default is white.

void QextScintilla::setCallTipsForegroundColor | ( | const QColor & | col | ) |

Set the foreground colour of call tips to col. The default is mid-gray.

void QextScintilla::setCallTipsHighlightColor | ( | const QColor & | col | ) |

Set the highlighted colour of call tip text to col. The default is dark blue.

void QextScintilla::setCallTipsVisible | ( | int | nr | ) |

Set the maximum number of call tips that are displayed to nr. If the maximum number is 0 then all applicable call tips are displayed. If the maximum number is -1 then one call tip will be displayed with up and down arrows that allow the use to scroll through the full list. The default is -1.

See also:
  callTipsVisible()

void QextScintilla::setDocument | ( | const QextScintillaDocument & | document | ) |

Attach the document document, replacing the currently attached document.

See also:
  document()

void QextScintilla::setEdgeColor | ( | const QColor & | col | ) |

Set the color of the marker used to show that a line has exceeded the length set by setEdgeColumn().

See also:
  edgeColor(),

  setEdgeColumn

void QextScintilla::setEdgeColumn | ( | int | colnr | ) |

Set the number of the column after which lines are considered to be long.

See also:
  edgeColumn()

void QextScintilla::setEdgeMode | ( | EdgeMode | mode | ) |

Set the edge mode which determines how long lines are marked.

See also:
  edgeMode()

virtual void QextScintilla::setFont | ( | const QFont & | f | ) | `[virtual]`

Set the default font. This has no effect if a language lexer has been set.

void QextScintilla::setMarkerBackgroundColor | ( | const QColor & | col,
|  | int | mnr = `-1` |
| ) |  |  |

Set the background colour, including the alpha component, of marker mnr to col. If mnr is -1 then the colour of all markers is set. The default is white.

See also:
  setMarkerForegroundColor()

void QextScintilla::setMarkerForegroundColor | ( | const QColor & | col,
|  | int | mnr = `-1` |
| ) |  |  |

Set the foreground colour of marker mnr to col. If mnr is -1 then the colour of all markers is set. The default is black.

See also:
  setMarkerBackgroundColor()

void QextScintilla::setMatchedBraceBackgroundColor | ( | const QColor & | col | ) |

Set the background colour used to display matched braces to col. The default is white.

See also:
  setMatchedBraceForegroundColor()

void QextScintilla::setMatchedBraceForegroundColor | ( | const QColor & | col | ) |

Set the foreground colour used to display matched braces to col. The default is red.

See also:
  setMatchedBraceBackgroundColor()

void QextScintilla::setUnmatchedBraceBackgroundColor | ( | const QColor & | col | ) |

Set the background colour used to display unmatched braces to col. The default is white.

See also:
  setUnmatchedBraceForegroundColor()

void QextScintilla::setUnmatchedBraceForegroundColor | ( | const QColor & | col | ) |

Set the foreground colour used to display unmatched braces to col. The default is blue.

See also:
  setUnmatchedBraceBackgroundColor()

void QextScintilla::setWrapVisualFlags | ( | WrapVisualFlag | eflag,
|  | WrapVisualFlag | sflag = `WrapFlagNone`,
|  | int | sindent = `0` |
| ) |  |  |

Set the visual flags displayed when a line is wrapped. eflag determines if and where the flag at the end of a line is displayed. sflag determines if and where the flag at the start of a line is displayed. sindent is the number of characters a wrapped line is indented by. By default no visual flags are displayed.

QString QextScintilla::selectedText | ( |  | ) |

Returns the selected text or an empty string if there is no currently selected text.

See also:
  hasSelectedText()

void QextScintilla::showUserList | ( | int | id,
|  | const QStringList & | list |
| ) |  |  |

Displays a user defined list which can be interacted with like an auto-completion list. id is an identifier for the list which is passed as an argument to the userListActivated() signal and must be at least 1. list is the text with which the list is populated.

See also:
  cancelList(), isListActive(), userListActivated()

QextScintillaCommandSet* QextScintilla::standardCommands | ( |  | ) | const`[inline]`

The standard command set is returned.

bool QextScintilla::tabIndents | ( |  | ) |

Returns TRUE if the tab key indents a line instead of inserting a tab character. The default is TRUE.

See also:
  setTabIndents(), backspaceUnindents(), setBackspaceUnindents()

int QextScintilla::tabWidth | ( |  | ) |

Returns the tab width in characters. The default is 8.

See also:
  setTabWidth()

QString QextScintilla::text | ( |  | ) |

Returns the text edit's text.

See also:
  setText()

QString QextScintilla::text | ( | int | line | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Returns the text of line line.

See also:
  setText()

int QextScintilla::textHeight | ( | int | linenr | ) |

Returns the height in pixels of the text in line number linenr.

WhitespaceVisibility QextScintilla::whitespaceVisibility | ( |  | ) |

Returns the visibility of whitespace.

See also:
  setWhitespaceVisibility()

WrapMode QextScintilla::wrapMode | ( |  | ) |

Returns the line wrap mode.

See also:
  setWrapMode()

virtual void QextScintilla::append | ( | const QString & | text | ) | `[virtual, slot]`

Appends the text text to the end of the text edit. Note that the undo/redo history is cleared by this function.

virtual void QextScintilla::autoCompleteFromAll | ( |  | ) | `[virtual, slot]`

Display an auto-completion list based on any installed APIs, the current contents of the document and the characters immediately to the left of the cursor.

See also:
  autoCompleteFromAPIs(), autoCompleteFromDocument()

virtual void QextScintilla::autoCompleteFromAPIs | ( |  | ) | `[virtual, slot]`

Display an auto-completion list based on any installed APIs and the characters immediately to the left of the cursor.

See also:
  autoCompleteFromAll(), autoCompleteFromDocument(), setAutoCompletionAPIs()

virtual void QextScintilla::autoCompleteFromDocument | ( |  | ) | `[virtual, slot]`

Display an auto-completion list based on the current contents of the document and the characters immediately to the left of the cursor.

See also:
  autoCompleteFromAll(), autoCompleteFromAPIs()

virtual void QextScintilla::callTip | ( |  | ) | `[virtual, slot]`

Display a call tip based on the the characters immediately to the left of the cursor.

virtual void QextScintilla::clear | ( |  | ) | `[virtual, slot]`

Deletes all the text in the text edit.

virtual void QextScintilla::copy | ( |  | ) | `[virtual, slot]`

Copies any selected text to the clipboard.

See also:
  copyAvailable(), cut(), paste()

virtual void QextScintilla::cut | ( |  | ) | `[virtual, slot]`

Copies any selected text to the clipboard and then deletes the text.

See also:
  copy(), paste()

virtual void QextScintilla::ensureCursorVisible | ( |  | ) | `[virtual, slot]`

Ensures that the cursor is visible.

virtual void QextScintilla::ensureLineVisible | ( | int | line | ) | `[virtual, slot]`

Ensures that the line number line is visible.

virtual void QextScintilla::foldAll | ( | bool | children = `FALSE` | ) | `[virtual, slot]`

If any lines are currently folded then they are all unfolded. Otherwise all lines are folded. This has the same effect as clicking in the fold margin with the shift and control keys pressed. If children is not set (the default) then only the top level fold points are affected, otherwise the state of all fold points are changed.

virtual void QextScintilla::foldLine | ( | int | line | ) | `[virtual, slot]`

If the line line is folded then it is unfolded. Otherwise it is folded. This has the same effect as clicking in the fold margin.

virtual void QextScintilla::indent | ( | int | line | ) | `[virtual, slot]`

Increases the indentation of line line by an indentation width.

See also:
  unindent()

virtual void QextScintilla::insert | ( | const QString & | text | ) | `[virtual, slot]`

Insert the text text at the current position.

virtual void QextScintilla::insertAt | ( | const QString & | text,
|  | int | line,
|  | int | index |
| ) |  |  | `[virtual, slot]`

Insert the text text in the line line at the position index.

virtual void QextScintilla::moveToMatchingBrace | ( |  | ) | `[virtual, slot]`

If the cursor is either side of a brace character then move it to the position of the corresponding brace.

virtual void QextScintilla::paste | ( |  | ) | `[virtual, slot]`

Pastes any text from the clipboard into the text edit at the current cursor position.

See also:
  copy(), cut()

virtual void QextScintilla::redo | ( |  | ) | `[virtual, slot]`

Redo the last change or sequence of changes.

See also:
  isRedoAvailable()

virtual void QextScintilla::removeSelectedText | ( |  | ) | `[virtual, slot]`

Removes any selected text.

virtual void QextScintilla::resetSelectionBackgroundColor | ( |  | ) | `[virtual, slot]`

Resets the background colour of selected text to the default.

See also:
  setSelectionBackgroundColor(), resetSelectionForegroundColor()

virtual void QextScintilla::resetSelectionForegroundColor | ( |  | ) | `[virtual, slot]`

Resets the foreground colour of selected text to the default.

See also:
  setSelectionForegroundColor(), resetSelectionBackgroundColor()

virtual void QextScintilla::selectAll | ( | bool | select = `TRUE` | ) | `[virtual, slot]`

If select is TRUE (the default) then all the text is selected. If select is FALSE then any currently selected text is deselected.

virtual void QextScintilla::selectToMatchingBrace | ( |  | ) | `[virtual, slot]`

If the cursor is either side of a brace character then move it to the position of the corresponding brace and select the text between the braces.

virtual void QextScintilla::setAutoCompletionCaseSensitivity | ( | bool | cs | ) | `[virtual, slot]`

If cs is TRUE then auto-completion lists are case sensitive. The default is TRUE.

See also:
  autoCompletionCaseSensitivity()

virtual void QextScintilla::setAutoCompletionReplaceWord | ( | bool | replace | ) | `[virtual, slot]`

If replace is TRUE then when an item from an auto-completion list is selected, the rest of the word to the right of the current cursor is removed. The default is FALSE.

See also:
  autoCompletionReplaceWord()

virtual void QextScintilla::setAutoCompletionShowSingle | ( | bool | single | ) | `[virtual, slot]`

If single is TRUE then when there is only a single entry in an auto-completion list it is automatically used and the list is not displayed. This only has an effect when auto-completion is explicitly requested (using autoCompleteFromAPIs() and autoCompleteFromDocument()) and has no effect when auto-completion is triggered as the user types. The default is FALSE.

See also:
  autoCompletionShowSingle()

virtual void QextScintilla::setAutoCompletionSource | ( | AutoCompletionSource | source | ) | `[virtual, slot]`

Sets the source for the auto-completion list when it is being displayed automatically as the user types to source. The default is AcsDocument.

See also:
  autoCompletionSource()

virtual void QextScintilla::setAutoCompletionThreshold | ( | int | thresh | ) | `[virtual, slot]`

Sets the threshold for the automatic display of the auto-completion list as the user types to thresh. The threshold is the number of characters that the user must type before the list is displayed. If the threshold is less than or equal to 0 then the list is disabled. The default is -1.

See also:
  autoCompletionThreshold(), setAutoCompletionStartCharacters()

virtual void QextScintilla::setAutoIndent | ( | bool | autoindent | ) | `[virtual, slot]`

If autoindent is TRUE then auto-indentation is enabled. The default is FALSE.

See also:
  autoIndent()

virtual void QextScintilla::setBraceMatching | ( | BraceMatch | bm | ) | `[virtual, slot]`

Sets the brace matching mode to bm. The default is NoBraceMatching.

See also:
  braceMatching()

virtual void QextScintilla::setBackspaceUnindents | ( | bool | unindent | ) | `[virtual, slot]`

If deindent is TRUE then the backspace key will unindent a line rather then delete a character.

See also:
  backspaceUnindents(), tabIndents(), setTabIndents()

virtual void QextScintilla::setCaretForegroundColor | ( | const QColor & | col | ) | `[virtual, slot]`

Sets the foreground colour of the caret to col.

virtual void QextScintilla::setCaretLineBackgroundColor | ( | const QColor & | col | ) | `[virtual, slot]`

Sets the background colour, including the alpha component, of the line containing the caret to col.

See also:
  setCaretLineVisible()

virtual void QextScintilla::setCaretLineVisible | ( | bool | enable | ) | `[virtual, slot]`

Enables or disables, according to enable, the background color of the line containing the caret.

See also:
  setCaretLineBackgroundColor()

virtual void QextScintilla::setCaretWidth | ( | int | width | ) | `[virtual, slot]`

Sets the width of the caret to width pixels. A width of 0 makes the caret invisible.

virtual void QextScintilla::setColor | ( | const QColor & | c | ) | `[virtual, slot]`

See also:
  color()

virtual void QextScintilla::setCursorPosition | ( | int | line,
|  | int | index |
| ) |  |  | `[virtual, slot]`

Sets the cursor to the line line at the position index.

See also:
  getCursorPosition()

virtual void QextScintilla::setEolMode | ( | EolMode | mode | ) | `[virtual, slot]`

Sets the end-of-line mode to mode. The default is the platform's natural mode.

See also:
  eolMode()

virtual void QextScintilla::setEolVisibility | ( | bool | visible | ) | `[virtual, slot]`

If visible is TRUE then end-of-lines are made visible. The default is that they are invisible.

See also:
  eolVisibility()

virtual void QextScintilla::setFolding | ( | FoldStyle | fold | ) | `[virtual, slot]`

Sets the folding style for margin 2 to fold. The default is NoFoldStyle (ie. folding is disabled).

See also:
  folding()

virtual void QextScintilla::setIndentation | ( | int | line,
|  | int | indentation |
| ) |  |  | `[virtual, slot]`

Sets the indentation of line to indentation characters.

See also:
  indentation()

virtual void QextScintilla::setIndentationGuides | ( | bool | enable | ) | `[virtual, slot]`

Enables or disables, according to enable, this display of indentation guides.

See also:
  indentationGuides()

virtual void QextScintilla::setIndentationGuidesBackgroundColor | ( | const QColor & | col | ) | `[virtual, slot]`

Set the background colour of indentation guides to col.

See also:
  setIndentationGuidesForegroundColor()

virtual void QextScintilla::setIndentationGuidesForegroundColor | ( | const QColor & | col | ) | `[virtual, slot]`

Set the foreground colour of indentation guides to col.

See also:
  setIndentationGuidesBackgroundColor()

virtual void QextScintilla::setIndentationsUseTabs | ( | bool | tabs | ) | `[virtual, slot]`

If tabs is TRUE then indentations are created using tabs and spaces, rather than just spaces.

See also:
  indentationsUseTabs()

virtual void QextScintilla::setIndentationWidth | ( | int | width | ) | `[virtual, slot]`

Sets the indentation width to width characters. If width is 0 then the value returned by tabWidth() is used.

See also:
  indentationWidth(), tabWidth()

virtual void QextScintilla::setLexer | ( | QextScintillaLexer * | lexer = `0` | ) | `[virtual, slot]`

Sets the specific language lexer used to style text to lexer. If lexer is 0 then syntax styling is disabled.

See also:
  lexer()

virtual void QextScintilla::setMarginsBackgroundColor | ( | const QColor & | col | ) | `[virtual, slot]`

Set the background colour of all margins to col. The default is a gray.

See also:
  setMarginsForegroundColor()

virtual void QextScintilla::setMarginsFont | ( | const QFont & | f | ) | `[virtual, slot]`

Set the font used in all margins to f.

virtual void QextScintilla::setMarginsForegroundColor | ( | const QColor & | col | ) | `[virtual, slot]`

Set the foreground colour of all margins to col. The default is black.

See also:
  setMarginsBackgroundColor()

virtual void QextScintilla::setMarginLineNumbers | ( | int | margin,
|  | bool | lnrs |
| ) |  |  | `[virtual, slot]`

Enables or disables, according to lnrs, the display of line numbers in margin margin.

See also:
  marginLineNumbers(), QextScintillaBase::SCI_SETMARGINTYPEN

virtual void QextScintilla::setMarginMarkerMask | ( | int | margin,
|  | int | mask |
| ) |  |  | `[virtual, slot]`

Sets the marker mask of margin margin to mask. Only those markers whose bit is set in the mask are displayed in the margin.

See also:
  marginMarkerMask(), QextScintillaMarker, QextScintillaBase::SCI_SETMARGINMASKN

virtual void QextScintilla::setMarginSensitivity | ( | int | margin,
|  | bool | sens |
| ) |  |  | `[virtual, slot]`

Enables or disables, according to sens, the sensitivity of margin margin to mouse clicks. If the user clicks in a sensitive margin the marginClicked() signal is emitted.

See also:
  marginSensitivity(), marginClicked(), QextScintillaBase::SCI_SETMARGINSENSITIVEN

virtual void QextScintilla::setMarginWidth | ( | int | margin,
|  | int | width |
| ) |  |  | `[virtual, slot]`

Sets the width of margin margin to width pixels. If the width of a margin is 0 then it is not displayed.

See also:
  marginWidth(), QextScintillaBase::SCI_SETMARGINWIDTHN

virtual void QextScintilla::setMarginWidth | ( | int | margin,
|  | const QString & | s |
| ) |  |  | `[virtual, slot]`

Sets the width of margin margin so that it is wide enough to display s in the current margin font.

See also:
  marginWidth(), QextScintillaBase::SCI_SETMARGINWIDTHN

virtual void QextScintilla::setModified | ( | bool | m | ) | `[virtual, slot]`

Sets the modified state of the text edit to m. Note that it is only possible to clear the modified state (where m is FALSE). Attempts to set the modified state (where m is TRUE) are ignored.

See also:
  isModified(), modificationChanged()

virtual void QextScintilla::setPaper | ( | const QColor & | c | ) | `[virtual, slot]`

See also:
  paper()

virtual void QextScintilla::setReadOnly | ( | bool | ro | ) | `[virtual, slot]`

Sets the read-only state of the text edit to ro.

See also:
  isReadOnly()

virtual void QextScintilla::setSelection | ( | int | lineFrom,
|  | int | indexFrom,
|  | int | lineTo,
|  | int | indexTo |
| ) |  |  | `[virtual, slot]`

Sets the selection which starts at position indexFrom in line lineFrom and ends at position indexTo in line lineTo. The cursor is moved to the end of the selection.

See also:
  getSelection()

virtual void QextScintilla::setSelectionBackgroundColor | ( | const QColor & | col | ) | `[virtual, slot]`

Sets the background colour, including the alpha component, of selected text to col.

See also:
  resetSelectionBackgroundColor(), setSelectionForegroundColor()

virtual void QextScintilla::setSelectionForegroundColor | ( | const QColor & | col | ) | `[virtual, slot]`

Sets the foreground colour of selected text to col.

See also:
  resetSelectionForegroundColor(), setSelectionBackgroundColor()

virtual void QextScintilla::setTabIndents | ( | bool | indent | ) | `[virtual, slot]`

If indent is TRUE then the tab key will indent a line rather then insert a tab character.

See also:
  tabIndents(), backspaceUnindents(), setBackspaceUnindents()

virtual void QextScintilla::setTabWidth | ( | int | width | ) | `[virtual, slot]`

Sets the tab width to width characters.

See also:
  tabWidth()

virtual void QextScintilla::setText | ( | const QString & | text | ) | `[virtual, slot]`

Replaces all of the current text with text. Note that the undo/redo history is cleared by this function.

See also:
  text()

virtual void QextScintilla::setUtf8 | ( | bool | cp | ) | `[virtual, slot]`

Sets the current text encoding. If cp is TRUE then UTF8 is used, otherwise Latin1 is used.

See also:
  isUtf8()

virtual void QextScintilla::setWhitespaceVisibility | ( | WhitespaceVisibility | mode | ) | `[virtual, slot]`

Sets the visibility of whitespace to mode mode. The default is that whitespace is invisible.

See also:
  whitespaceVisibility()

virtual void QextScintilla::setWrapMode | ( | WrapMode | mode | ) | `[virtual, slot]`

Sets the line wrap mode to mode mode. The default is that lines are not wrapped.

See also:
  wrapMode()

virtual void QextScintilla::undo | ( |  | ) | `[virtual, slot]`

Undo the last change or sequence of changes.

Scintilla has multiple level undo and redo. It will continue to record undoable actions until memory runs out. Sequences of typing or deleting are compressed into single actions to make it easier to undo and redo at a sensible level of detail. Sequences of actions can be combined into actions that are undone as a unit. These sequences occur between calls to beginUndoAction() and endUndoAction(). These sequences can be nested and only the top level sequences are undone as units.

See also:
  beginUndoAction(), endUndoAction(), isUndoAvailable()

virtual void QextScintilla::unindent | ( | int | line | ) | `[virtual, slot]`

Decreases the indentation of line line by an indentation width.

See also:
  indent()

virtual void QextScintilla::zoomIn | ( | int | range | ) | `[virtual, slot]`

Zooms in on the text by by making the base font size range points larger and recalculating all font sizes.

See also:
  zoomOut(), zoomTo()

virtual void QextScintilla::zoomIn | ( |  | ) | `[virtual, slot]`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Zooms in on the text by by making the base font size one point larger and recalculating all font sizes.

virtual void QextScintilla::zoomOut | ( | int | range | ) | `[virtual, slot]`

Zooms out on the text by by making the base font size range points smaller and recalculating all font sizes.

See also:
  zoomIn(), zoomTo()

virtual void QextScintilla::zoomOut | ( |  | ) | `[virtual, slot]`

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Zooms out on the text by by making the base font size one point larger and recalculating all font sizes.

virtual void QextScintilla::zoomTo | ( | int | size | ) | `[virtual, slot]`

Zooms the text by making the base font size size points and recalculating all font sizes.

See also:
  zoomIn(), zoomOut()

void QextScintilla::cursorPositionChanged | ( | int | line,
|  | int | pos |
| ) |  |  | `[signal]`

This signal is emitted whenever the cursor position changes. line contains the line number and pos contains the character position within the line.

void QextScintilla::copyAvailable | ( | bool | yes | ) | `[signal]`

This signal is emitted whenever text is selected or de-selected. yes is TRUE if text has been selected and FALSE if text has been deselected. If yes is TRUE then copy() can be used to copy the selection to the clipboard. If yes is FALSE then copy() does nothing.

See also:
  copy(), selectionChanged()

void QextScintilla::marginClicked | ( | int | margin,
|  | int | line,
|  | Qt::ButtonState | state |
| ) |  |  | `[signal]`

This signal is emitted whenever the user clicks on a sensitive margin. margin is the margin. line is the number of the line where the user clicked. state is the state of the modifier keys (ShiftButton, ControlButton and AltButton) when the user clicked.

See also:
  marginSensitivity(), setMarginSensitivity()

void QextScintilla::modificationAttempted | ( |  | ) | `[signal]`

This signal is emitted whenever the user attempts to modify read-only text.

See also:
  isReadOnly(), setReadOnly()

void QextScintilla::modificationChanged | ( | bool | m | ) | `[signal]`

This signal is emitted whenever the modification state of the text changes. m is TRUE if the text has been modified.

See also:
  isModified(), setModified()

void QextScintilla::selectionChanged | ( |  | ) | `[signal]`

This signal is emitted whenever the selection changes.

See also:
  copyAvailable()

void QextScintilla::textChanged | ( |  | ) | `[signal]`

This signal is emitted whenever the text in the text edit changes.

void QextScintilla::userListActivated | ( | int | id,
|  | const QString & | string |
| ) |  |  | `[signal]`

This signal is emitted when an item in a user defined list is activated (selected). id is the list identifier. string is the text of the item.

See also:
  showUserList()